# Gimp.ParamSpecObject.has_default

    function has_default(pspec: GObject.ParamSpec): Boolean {
        // Gjs wrapper for gimp_param_spec_object_has_default()
    }

This function tells whether a default was set, typically with [func@Gimp.ParamSpecObject.set_default] or any other way. It does not guarantee that the default is an actual object (it may be null if valid as a default).

pspec

  a GObject.Object GObject.ParamSpec

Returns

  whether a default value was set.